US Equities Lookup File
The U.S. Equities Lookup Files dataset enables users to map a ticker and effective date or a FIGI to the corresponding SecId, supporting accurate identifier normalization across time, then SecId can be further linked to additional identifiers, such as ISIN, via the U.S. Equities Security Master, enabling consistent cross-dataset joins and security-level analysis. The dataset is delivered in two complementary lookup versions: • Ticker-to-SecId lookup, supporting date-aware symbol re
GEThttps://api.devalgoseek.com/api/v1/data/us-equity-ref/eq-lookup-files#
The U.S. Equities Lookup Files dataset enables users to map a ticker and effective date or a FIGI to the corresponding SecId, supporting accurate identifier normalization across time, then SecId can be further linked to additional identifiers, such as ISIN, via the U.S. Equities Security Master, enabling consistent cross-dataset joins and security-level analysis. The dataset is delivered in two complementary lookup versions: • Ticker-to-SecId lookup, supporting date-aware symbol resolution • FIGI-to-SecId lookup, supporting cross-vendor identifier mapping
For more details, please refer to the dataset documentation: US Equities Lookup File Guide.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Query Parameters#
- JSON
- CSV Gzip
Sorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
A unique identifier for a security
2234Symbol name
SLFThe start date
2007-01-03The end date
2099-12-31pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"SecId": 2234,
"Ticker": "SLF",
"StartDate": "2007-01-03",
"EndDate": "2099-12-31"
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity-ref/eq-lookup-files");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!